package com.autentia.app.persist.hibernate;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.hibernate.SessionFactory;
import org.hibernate.cfg.AnnotationConfiguration;

public class HibernateUtil {

	private static final Log log = LogFactory.getLog(HibernateUtil.class);
	

	public static SessionFactory buildAnnotationSessionFactory() {
		try {
			final SessionFactory sessionFactory = new AnnotationConfiguration().configure().buildSessionFactory();
			return sessionFactory;
			
		} catch (Throwable e) {
			log.fatal("It is not possible to build the SessionFactory", e);
			throw new ExceptionInInitializerError(e);
		}
	}
}